##### 7.5.8.0. isInvolution

Procedure from library `involut.lib` (see involut_lib).

Usage:
  isInvolution(F); F is a map from current ring to itself

Return:
  integer, 1 if F determines an involution and 0 otherwise

Theory:
  involution is an antiautomorphism of order 2

Assume:
  F is a map from current ring to itself

Example:

    LIB "involut.lib";
    def A = makeUsl(2); setring A;
    map I = A,-e,-f,-h; //correct antiauto involution
    isInvolution(I);
    ==> 1
    map J = A,3*e,1/3*f,-h; // antiauto but not involution
    isInvolution(J);
    ==> 0
    map K = A,f,e,-h; // not antiauto
    isInvolution(K);
    ==> 0

See also: findInvo; involution; isAntiEndo.

User manual for Singular version 4.4.1, 2025, generated by texi2html.